var sPop = null;
var postSubmited = false;
document.write("<style type='text/css'id='defaultPopStyle'>");
document.write(".cPopText { font-family: Verdana, Tahoma; color: #000000; background-color: #ffffff; border: 2px #000000 dashed; font-size: 12px; padding-right: 10px; padding-left: 10px; height: 20px; padding-top: 8px; padding-bottom: 8px; visibility: hidden; filter: Alpha(Opacity=50)}");
document.write("</style>");
document.write("<div id='popLayer' style='position:absolute;z-index:1000;filter:blendtrans(duration=.2) revealTrans(duration=.1,transition=14) alpha(opacity=100,enabled=1)' class='cPopText' align='left'></div>");
function showPopupText() {
var o=event.srcElement;
MouseX=event.x;
MouseY=event.y;
if(o.alt!=null && o.alt!="") { o.pop=o.alt;o.alt="" }
        if(o.title!=null && o.title!=""){ o.pop=o.title;o.title="" } 
  if(o.pop) { 
   o.pop=o.pop.replace("\n","<br>"); 
      o.pop=o.pop.replace("\n","<br>"); 
     }
if(o.pop!=sPop) {
  sPop=o.pop;
  if(sPop==null || sPop=="") {
   popLayer.filters[0].apply();
   popLayer.style.visibility="hidden"; 
   popLayer.filters[0].play();
   popLayer.style.width=""
  } else {
   if(o.dyclass!=null) popStyle=o.dyclass 
   else popStyle="cPopText";
             
   popLayer.filters[1].apply();
   popLayer.style.visibility="visible";
   popLayer.filters[1].play();
   showIt();
   if (popLayer.offsetWidth>500)
   {
    popLayer.style.width=500
   }
  }
}
}

function showIt() {
popLayer.className=popStyle;
popLayer.innerHTML=sPop;
popWidth=popLayer.clientWidth;
popHeight=popLayer.clientHeight;
if(MouseX+20+popWidth>document.body.clientWidth) popLeftAdjust=-popWidth-40
  else popLeftAdjust=0;
if(MouseY+20+popHeight>document.body.clientHeight) popTopAdjust=-popHeight-40
  else popTopAdjust=0;
popLayer.style.left=MouseX+20+document.body.scrollLeft+popLeftAdjust;
popLayer.style.top=MouseY+20+document.body.scrollTop+popTopAdjust;
}

function ctlent(obj) {
if(postSubmited == false && (event.ctrlKey && window.event.keyCode == 13) || (event.altKey && window.event.keyCode == 83)) {
   if (!docheck()) return
   if(this.document.input.topicsubmit) this.document.input.topicsubmit.disabled = true;
   if(this.document.input.replysubmit) this.document.input.replysubmit.disabled = true;
   if(this.document.input.editsubmit) this.document.input.editsubmit.disabled = true;
   this.document.input.submit();
}
}

function runEx(cod1)  {
  cod=document.all(cod1)
   var code=cod.value;
   if (code!=""){
    var newwin=window.open('','','');  
    newwin.opener = null 
    newwin.document.write(code);  
    newwin.document.close();
}
}

var flag=false; 
function DrawImage(ImgD){ 
var image=new Image(); 
image.src=ImgD.src; 
if(image.width>0 && image.height>0){ 
  flag=true; 
  if(image.width>=518){ 
   ImgD.width=518; 
   ImgD.height=(image.height*518)/image.width; 
  }else{ 
   ImgD.width=image.width; 
   ImgD.height=image.height; 
  }  
} 
} 


function showIntro(objID)
{
if (document.getElementById(objID).style.display == "none") {
  document.getElementById(objID).style.display = "";
}else{
  document.getElementById(objID).style.display = "none";
}
}
document.onmouseover=showPopupText;